## congress 0.0.1

=== DESCRIPTION ===
Package: congress
Title: Access the Congress.gov API
Version: 0.0.1
Authors@R: 
    person(given = "Christopher T.",
           family = "Kenny",
           role = c("aut", "cre"),
           email = "christopherkenny@fas.harvard.edu",
           comment = c(ORCID = "0000-0002-9386-6860"))
Description: Download and read data on United States congressional proceedings. 
    Data is read from the Library of Congress's Congress.gov Application Programming 
    Interface (<https://github.com/LibraryOfCongress/api.congress.gov/>). Functions
    exist for all version 3 endpoints, including for bills, amendments, congresses, 
    summaries, members, reports, communications, nominations, and treaties.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.1
Depends: R (>= 4.1.0)
Imports: cli, dplyr, glue, httr2, purrr, rlang, stringr, tibble, tidyr
URL: https://github.com/christopherkenny/congress,
        http://christophertkenny.com/congress/
BugReports: https://github.com/christopherkenny/congress/issues
Suggests: httptest2, spelling, testthat (>= 3.0.0)
Config/testthat/edition: 3
Language: en-US
NeedsCompilation: no
Packaged: 2022-10-10 20:28:28 UTC; chris
Author: Christopher T. Kenny [aut, cre]
    (<https://orcid.org/0000-0002-9386-6860>)
Maintainer: Christopher T. Kenny <christopherkenny@fas.harvard.edu>
Repository: CRAN
Date/Publication: 2022-10-12 08:02:32 UTC

## congress 0.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: congress
 Title: Access the Congress.gov API
-Version: 0.0.1
+Version: 0.0.3
 Authors@R: 
     person(given = "Christopher T.",
            family = "Kenny",
@@ -14,19 +14,20 @@
     summaries, members, reports, communications, nominations, and treaties.
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Depends: R (>= 4.1.0)
-Imports: cli, dplyr, glue, httr2, purrr, rlang, stringr, tibble, tidyr
+Imports: cli, dplyr, glue, httr2, lifecycle, purrr, rlang, stringr,
+        tibble, tidyr
 URL: https://github.com/christopherkenny/congress,
-        http://christophertkenny.com/congress/
+        https://christophertkenny.com/congress/
 BugReports: https://github.com/christopherkenny/congress/issues
-Suggests: httptest2, spelling, testthat (>= 3.0.0)
+Suggests: httptest2, spelling, testthat (>= 3.0.0), withr
 Config/testthat/edition: 3
 Language: en-US
 NeedsCompilation: no
-Packaged: 2022-10-10 20:28:28 UTC; chris
+Packaged: 2024-01-09 15:03:24 UTC; chris
 Author: Christopher T. Kenny [aut, cre]
     (<https://orcid.org/0000-0002-9386-6860>)
 Maintainer: Christopher T. Kenny <christopherkenny@fas.harvard.edu>
 Repository: CRAN
-Date/Publication: 2022-10-12 08:02:32 UTC
+Date/Publication: 2024-01-09 15:20:02 UTC

## congress 0.1.0

=== DESCRIPTION ===
Package: congress
Title: Access the Congress.gov API
Version: 0.1.0
Authors@R: 
    person(given = "Christopher T.",
           family = "Kenny",
           role = c("aut", "cre"),
           email = "ctkenny@proton.me",
           comment = c(ORCID = "0000-0002-9386-6860"))
Description: Download and read data on United States congressional proceedings. 
    Data is read from the Library of Congress's Congress.gov Application Programming 
    Interface (<https://github.com/LibraryOfCongress/api.congress.gov/>). Functions
    exist for all version 3 endpoints, including for bills, amendments, congresses, 
    summaries, members, reports, communications, nominations, and treaties.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.3.2
Depends: R (>= 4.1.0)
Imports: cli, dplyr, glue, httr2, purrr, rlang, stringr, tibble, tidyr
URL: https://github.com/christopherkenny/congress,
        https://christophertkenny.com/congress/
BugReports: https://github.com/christopherkenny/congress/issues
Suggests: httptest2, knitr, rmarkdown, spelling, testthat (>= 3.0.0),
        withr
Config/testthat/edition: 3
Language: en-US
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2025-09-01 19:54:16 UTC; chris
Author: Christopher T. Kenny [aut, cre] (ORCID:
    <https://orcid.org/0000-0002-9386-6860>)
Maintainer: Christopher T. Kenny <ctkenny@proton.me>
Repository: CRAN
Date/Publication: 2025-09-02 07:30:19 UTC

## congress 3.0.0~rc1+dfsg1

=== debian/changelog ===
congress (3.0.0~rc1+dfsg1-2) experimental; urgency=medium

  * Also package congress_tempest_tests.
  * Do not use keystone admin auth token to register API endpoint.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2016 15:33:21 +0100

congress (3.0.0~rc1+dfsg1-1) experimental; urgency=medium

  * Initial release. (Closes: #801863)

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 10:37:28 +0100

## congress 3.0.0~rc3+dfsg1

=== debian/changelog ===
congress (3.0.0~rc3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Removed also-package-congress_tempest_tests.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:54:09 +0200

## congress 3.0.0+dfsg1

=== Makefile ===

TOPDIR=$(CURDIR)
SRCDIR=$(TOPDIR)/congress

all: code docs

code: CongressLexer.py

clean:
	rm -f Congress.tokens $(SRCDIR)/datalog/CongressLexer.py $(SRCDIR)/datalog/CongressParser.py
	find . -name '*.pyc' -exec rm -f {} \;
	rm -Rf $(TOPDIR)/doc/html/*

CongressLexer.py CongressParser.py: $(SRCDIR)/datalog/Congress.g
	java -jar $(TOPDIR)/thirdparty/antlr-3.5-complete.jar $(SRCDIR)/datalog/Congress.g

docs: $(TOPDIR)/doc/source/*.rst
	sphinx-build -b html $(TOPDIR)/doc/source $(TOPDIR)/doc/html

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
PuLP>=1.0.4 # MIT
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pbr>=1.6 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-heatclient>=0.6.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
python-ceilometerclient>=2.2.1 # Apache-2.0
python-cinderclient>=1.3.1 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-ironicclient>=1.1.0 # Apache-2.0
alembic>=0.8.0 # MIT
python-dateutil>=2.4.2 # BSD
python-glanceclient>=2.0.0 # Apache-2.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
six>=1.9.0 # MIT
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.vmware>=1.16.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
WebOb>=1.2.3 # MIT

=== debian/changelog ===
congress (3.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:33:57 +0200

=== debian/control ===
Source: congress
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.0),
                     antlr3 (>= 3.5),
                     python-antlr3,
                     python-babel,
                     python-ceilometerclient (>= 2.2.1),
                     python-cinderclient (>= 1:1.3.1),
                     python-coverage,
                     python-dateutil (>= 2.4.2),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 1.3.1),
                     python-glanceclient (>= 1:1.2.0),
                     python-hacking,
                     python-heatclient (>= 0.6.0),
                     python-ironicclient (>= 1.1.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mock (>= 1.3),
                     python-mox3 (>= 0.7.0),
                     python-muranoclient (>= 0.8.3),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.29.0),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.vmware (>= 1.16.0),
                     python-paste,
                     python-pastedeploy,
                     python-pulp,
                     python-requests-mock (>= 0.7.0),
                     python-retrying,
                     python-routes,
                     python-six (>= 1.9.0),
                     python-tempest-lib (>= 0.14.0),
                     python-swiftclient,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/congress.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/congress.git
Homepage: http://congress.openstack.org/

Package: python-congress
Section: python
Architecture: all
Depends: alembic (>= 0.8.0),
         antlr3 (>= 3.5),
         python-babel,
         python-ceilometerclient (>= 2.2.1),
         python-cinderclient (>= 1:1.3.1),
         python-dateutil (>= 2.4.2),
         python-eventlet (>= 0.18.4),
         python-glanceclient (>= 1:1.2.0),
         python-heatclient (>= 0.6.0),
         python-ironicclient (>= 1.1.0),
         python-keystoneclient (>= 1:1.6.0),
         python-keystonemiddleware (>= 4.0.0),
         python-muranoclient (>= 0.8.3),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-oslo.vmware (>= 1.16.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pulp,
         python-routes,
         python-six (>= 1.9.0),
         python-swiftclient,
         python-tempest-lib (>= 0.14.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Policy as a Service - Python libraries
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains the Python libraries that are part of Cinder.

Package: congress-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-congress (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack Policy as a Service - common files
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: congress-server
Architecture: all
Depends: adduser,
         congress-common (= ${binary:Version}),
         debconf,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Policy as a Service - API server
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains the API server on which clients will connect.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' -e 's/+dfsg1//' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	antlr3 congress/datalog/Congress.g
	ln -s .testr.conf.old .testr.conf
	PYTHONPATH=$(CURDIR) bash run_tests.sh -N -P
	rm -f .testr.conf
endif

override_dh_clean:
	dh_clean
	rm -f debian/congress-common.config debian/congress-common.postinst debian/congress-server.config debian/congress-api.postinst
	rm -rf debian/*.upstart debian/*.service
	rm -f .testr.conf

override_dh_install:
	dh_install --fail-missing

	mkdir -p $(CURDIR)/debian/congress-common/usr/share/congress-common
	PYTHONPATH=. oslo-config-generator --output-file $(CURDIR)/debian/congress-common/usr/share/congress-common/congress.conf \
		--wrap-width 79 \
		--namespace congress \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace oslo.db \
		--namespace oslo.middleware.cors \
		--namespace keystonemiddleware.auth_token
	sed -i 's/[ \t#]*auth_protocol[ \t]*=.*/auth_protocol = http/' $(CURDIR)/debian/congress-common/usr/share/congress-common/congress.conf
	install -D -m 0644 $(CURDIR)/etc/api-paste.ini $(CURDIR)/debian/congress-common/usr/share/congress-common/api-paste.ini
	install -D -m 0644 $(CURDIR)/etc/policy.json $(CURDIR)/debian/congress-common/usr/share/congress-common/policy.json
	cp congress/db/migration/alembic.ini $(CURDIR)/debian/python-congress/usr/lib/python2.7/dist-packages/congress/db/migration/

override_dh_auto_build:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/tmp; \
        done

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func congress-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func congress-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func congress-server.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func congress-server.postinst

## congress 4.0.0~b1+dfsg1

=== debian/changelog ===
congress (4.0.0~b1+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 12 Jun 2016 23:01:33 +0200

congress (3.0.0+dfsg1-3) unstable; urgency=medium

  * Added French debconf templates translation (Closes: #825343).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jun 2016 09:23:49 +0200

congress (3.0.0+dfsg1-2) unstable; urgency=medium

  * Added Portuguese translation for debconf messages (Closes: #821250).
  * Added Dutch translation for debconf messages (Closes: #823445).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 May 2016 14:52:26 +0000

=== debian/control ===
--- 
+++ 
@@ -12,38 +12,39 @@
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: alembic (>= 0.8.0),
+Build-Depends-Indep: alembic (>= 0.8.4),
                      antlr3 (>= 3.5),
                      python-antlr3,
-                     python-babel,
+                     python-babel (>= 2.3.4),
                      python-ceilometerclient (>= 2.2.1),
-                     python-cinderclient (>= 1:1.3.1),
+                     python-cinderclient (>= 1:1.6.0),
                      python-coverage,
                      python-dateutil (>= 2.4.2),
                      python-eventlet (>= 0.18.4),
                      python-fixtures (>= 1.3.1),
                      python-glanceclient (>= 1:1.2.0),
                      python-hacking,
-                     python-heatclient (>= 0.6.0),
+                     python-heatclient (>= 1.1.0),
                      python-ironicclient (>= 1.1.0),
-                     python-keystoneclient (>= 1:1.6.0),
+                     python-keystoneauth1 (>= 2.1.0),
+                     python-keystoneclient (>= 1:1.7.0),
                      python-keystonemiddleware (>= 4.0.0),
-                     python-mock (>= 1.3),
+                     python-mock (>= 2.0),
                      python-mox3 (>= 0.7.0),
                      python-muranoclient (>= 0.8.3),
-                     python-neutronclient (>= 1:2.6.0),
+                     python-neutronclient (>= 1:4.2.0),
                      python-novaclient (>= 2:2.29.0),
-                     python-oslo.concurrency (>= 3.5.0),
-                     python-oslo.config (>= 1:3.7.0),
-                     python-oslo.context (>= 0.2.0),
+                     python-oslo.concurrency (>= 3.8.0),
+                     python-oslo.config (>= 1:3.9.0),
+                     python-oslo.context (>= 2.2.0),
                      python-oslo.db (>= 4.1.0),
                      python-oslo.log (>= 1.14.0),
-                     python-oslo.messaging (>= 4.0.0),
+                     python-oslo.messaging (>= 4.5.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 0.5.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.service (>= 1.0.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.service (>= 1.10.0),
+                     python-oslo.utils (>= 3.9.0),
                      python-oslo.vmware (>= 1.16.0),
                      python-paste,
                      python-pastedeploy,
@@ -67,31 +68,32 @@
 Package: python-congress
 Section: python
 Architecture: all
-Depends: alembic (>= 0.8.0),
+Depends: alembic (>= 0.8.4),
          antlr3 (>= 3.5),
-         python-babel,
+         python-babel (>= 2.3.4),
          python-ceilometerclient (>= 2.2.1),
-         python-cinderclient (>= 1:1.3.1),
+         python-cinderclient (>= 1:1.6.0),
          python-dateutil (>= 2.4.2),
          python-eventlet (>= 0.18.4),
          python-glanceclient (>= 1:1.2.0),
-         python-heatclient (>= 0.6.0),
+         python-heatclient (>= 1.1.0),
          python-ironicclient (>= 1.1.0),
-         python-keystoneclient (>= 1:1.6.0),
+         python-keystoneauth1 (>= 2.1.0),
+         python-keystoneclient (>= 1:1.7.0),
          python-keystonemiddleware (>= 4.0.0),
          python-muranoclient (>= 0.8.3),
-         python-neutronclient (>= 1:2.6.0),
+         python-neutronclient (>= 1:4.2.0),
          python-novaclient (>= 2:2.29.0),
-         python-oslo.config (>= 1:3.7.0),
-         python-oslo.context (>= 0.2.0),
+         python-oslo.config (>= 1:3.9.0),
+         python-oslo.context (>= 2.2.0),
          python-oslo.db (>= 4.1.0),
          python-oslo.log (>= 1.14.0),
-         python-oslo.messaging (>= 4.0.0),
+         python-oslo.messaging (>= 4.5.0),
          python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 0.5.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.service (>= 1.0.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.service (>= 1.10.0),
+         python-oslo.utils (>= 3.9.0),
          python-oslo.vmware (>= 1.16.0),
          python-paste,
          python-pastedeploy,

## congress 4.0.0~b2+dfsg1

=== debian/changelog ===
congress (4.0.0~b2+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added Brazilian Portuguese debconf templates (Closes: #827497).

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jul 2016 19:10:45 +0200

=== debian/control ===
--- 
+++ 
@@ -21,12 +21,12 @@
                      python-coverage,
                      python-dateutil (>= 2.4.2),
                      python-eventlet (>= 0.18.4),
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-glanceclient (>= 1:1.2.0),
                      python-hacking,
                      python-heatclient (>= 1.1.0),
                      python-ironicclient (>= 1.1.0),
-                     python-keystoneauth1 (>= 2.1.0),
+                     python-keystoneauth1 (>= 2.7.0),
                      python-keystoneclient (>= 1:1.7.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-mock (>= 2.0),
@@ -35,21 +35,21 @@
                      python-neutronclient (>= 1:4.2.0),
                      python-novaclient (>= 2:2.29.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.9.0),
-                     python-oslo.context (>= 2.2.0),
+                     python-oslo.config (>= 1:3.12.0),
+                     python-oslo.context (>= 2.4.0),
                      python-oslo.db (>= 4.1.0),
                      python-oslo.log (>= 1.14.0),
-                     python-oslo.messaging (>= 4.5.0),
+                     python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 0.5.0),
+                     python-oslo.policy (>= 1.9.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.9.0),
+                     python-oslo.utils (>= 3.15.0),
                      python-oslo.vmware (>= 1.16.0),
                      python-paste,
                      python-pastedeploy,
                      python-pulp,
-                     python-requests-mock (>= 0.7.0),
+                     python-requests-mock (>= 1.0),
                      python-retrying,
                      python-routes,
                      python-six (>= 1.9.0),
@@ -78,22 +78,23 @@
          python-glanceclient (>= 1:1.2.0),
          python-heatclient (>= 1.1.0),
          python-ironicclient (>= 1.1.0),
-         python-keystoneauth1 (>= 2.1.0),
+         python-keystoneauth1 (>= 2.7.0),
          python-keystoneclient (>= 1:1.7.0),
          python-keystonemiddleware (>= 4.0.0),
          python-muranoclient (>= 0.8.3),
          python-neutronclient (>= 1:4.2.0),
          python-novaclient (>= 2:2.29.0),
-         python-oslo.config (>= 1:3.9.0),
-         python-oslo.context (>= 2.2.0),
+         python-oslo.concurrency (>= 3.8.0),
+         python-oslo.config (>= 1:3.12.0),
+         python-oslo.context (>= 2.4.0),
          python-oslo.db (>= 4.1.0),
          python-oslo.log (>= 1.14.0),
-         python-oslo.messaging (>= 4.5.0),
+         python-oslo.messaging (>= 5.2.0),
          python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 0.5.0),
+         python-oslo.policy (>= 1.9.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.9.0),
+         python-oslo.utils (>= 3.15.0),
          python-oslo.vmware (>= 1.16.0),
          python-paste,
          python-pastedeploy,

## congress 4.0.0~rc1+dfsg1

=== debian/changelog ===
congress (4.0.0~rc1+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Do not remove or copy .testr.conf.
  * Standards-Version: 3.9.8 (no change).
  * --namespace oslo.messaging when generating congress.conf.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Sep 2016 09:19:44 +0000

=== debian/rules ===
--- 
+++ 
@@ -11,16 +11,13 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	antlr3 congress/datalog/Congress.g
-	ln -s .testr.conf.old .testr.conf
 	PYTHONPATH=$(CURDIR) bash run_tests.sh -N -P
-	rm -f .testr.conf
 endif
 
 override_dh_clean:
 	dh_clean
 	rm -f debian/congress-common.config debian/congress-common.postinst debian/congress-server.config debian/congress-api.postinst
 	rm -rf debian/*.upstart debian/*.service
-	rm -f .testr.conf
 
 override_dh_install:
 	dh_install --fail-missing
@@ -33,6 +30,7 @@
 		--namespace oslo.policy \
 		--namespace oslo.db \
 		--namespace oslo.middleware.cors \
+		--namespace oslo.messaging \
 		--namespace keystonemiddleware.auth_token
 	sed -i 's/[ \t#]*auth_protocol[ \t]*=.*/auth_protocol = http/' $(CURDIR)/debian/congress-common/usr/share/congress-common/congress.conf
 	install -D -m 0644 $(CURDIR)/etc/api-paste.ini $(CURDIR)/debian/congress-common/usr/share/congress-common/api-paste.ini

## congress 4.0.0%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 40~),
+               openstack-pkg-tools (>= 52~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -16,51 +16,51 @@
                      antlr3 (>= 3.5),
                      python-antlr3,
                      python-babel (>= 2.3.4),
-                     python-ceilometerclient (>= 2.2.1),
+                     python-ceilometerclient (>= 2.5.0),
                      python-cinderclient (>= 1:1.6.0),
                      python-coverage,
                      python-dateutil (>= 2.4.2),
                      python-eventlet (>= 0.18.4),
                      python-fixtures (>= 3.0.0),
-                     python-glanceclient (>= 1:1.2.0),
+                     python-glanceclient (>= 1:2.3.0),
                      python-hacking,
-                     python-heatclient (>= 1.1.0),
-                     python-ironicclient (>= 1.1.0),
-                     python-keystoneauth1 (>= 2.7.0),
-                     python-keystoneclient (>= 1:1.7.0),
+                     python-heatclient (>= 1.4.0),
+                     python-ironicclient (>= 1.6.0),
+                     python-keystoneauth1 (>= 2.10.0),
+                     python-keystoneclient (>= 1:2.0.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-mock (>= 2.0),
                      python-mox3 (>= 0.7.0),
                      python-muranoclient (>= 0.8.3),
-                     python-neutronclient (>= 1:4.2.0),
+                     python-neutronclient (>= 1:5.1.0),
                      python-novaclient (>= 2:2.29.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.12.0),
-                     python-oslo.context (>= 2.4.0),
-                     python-oslo.db (>= 4.1.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.context (>= 2.9.0),
+                     python-oslo.db (>= 4.10.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 1.9.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.15.0),
-                     python-oslo.vmware (>= 1.16.0),
+                     python-oslo.utils (>= 3.16.0),
+                     python-oslo.vmware (>= 2.11.0),
                      python-paste,
                      python-pastedeploy,
                      python-pulp,
                      python-requests-mock (>= 1.0),
-                     python-retrying,
                      python-routes,
                      python-six (>= 1.9.0),
                      python-tempest-lib (>= 0.14.0),
+                     python-tenacity,
                      python-swiftclient,
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-webob,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/congress.git;a=summary
 Vcs-Git: https://anonscm.debian.org/git/openstack/congress.git
 Homepage: http://congress.openstack.org/
@@ -71,31 +71,31 @@
 Depends: alembic (>= 0.8.4),
          antlr3 (>= 3.5),
          python-babel (>= 2.3.4),
-         python-ceilometerclient (>= 2.2.1),
+         python-ceilometerclient (>= 2.5.0),
          python-cinderclient (>= 1:1.6.0),
          python-dateutil (>= 2.4.2),
          python-eventlet (>= 0.18.4),
-         python-glanceclient (>= 1:1.2.0),
-         python-heatclient (>= 1.1.0),
-         python-ironicclient (>= 1.1.0),
-         python-keystoneauth1 (>= 2.7.0),
-         python-keystoneclient (>= 1:1.7.0),
+         python-glanceclient (>= 1:2.3.0),
+         python-heatclient (>= 1.4.0),
+         python-ironicclient (>= 1.6.0),
+         python-keystoneauth1 (>= 2.10.0),
+         python-keystoneclient (>= 1:2.0.0),
          python-keystonemiddleware (>= 4.0.0),
          python-muranoclient (>= 0.8.3),
-         python-neutronclient (>= 1:4.2.0),
+         python-neutronclient (>= 1:5.1.0),
          python-novaclient (>= 2:2.29.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.12.0),
-         python-oslo.context (>= 2.4.0),
-         python-oslo.db (>= 4.1.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.context (>= 2.9.0),
+         python-oslo.db (>= 4.10.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.messaging (>= 5.2.0),
          python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 1.9.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.15.0),
-         python-oslo.vmware (>= 1.16.0),
+         python-oslo.utils (>= 3.16.0),
+         python-oslo.vmware (>= 2.11.0),
          python-paste,
          python-pastedeploy,
          python-pbr (>= 1.8),

## congress 4.0.0+dfsg1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=2.3.4 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
PuLP>=1.0.4 # MIT
keystoneauth1>=2.10.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pbr>=1.6 # Apache-2.0
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
python-heatclient>=1.4.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-ceilometerclient>=2.5.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
python-ironicclient>=1.6.0 # Apache-2.0
alembic>=0.8.4 # MIT
python-dateutil>=2.4.2 # BSD
python-glanceclient!=2.4.0,>=2.3.0 # Apache-2.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
six>=1.9.0 # MIT
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.vmware>=2.11.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
WebOb>=1.2.3 # MIT

=== debian/changelog ===
congress (4.0.0+dfsg1-3) unstable; urgency=medium

  * Add patch to remove non-deterministic tests which are randomly failing.
    Thanks to Santiago Vila <sanvila@unex.es> for the extensive bug report
    (Closes: #842244).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Nov 2016 11:16:31 +0000

congress (4.0.0+dfsg1-2) unstable; urgency=medium

  * Builds congress/datalog/Python{2,3}/CongressParser.py at build time
    (Closes: #835619, #835617).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Oct 2016 09:04:32 +0000

congress (4.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Debconf translations:
    - it (Closes: #839529).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 09:09:58 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	antlr3 congress/datalog/Congress.g
	PYTHONPATH=$(CURDIR) bash run_tests.sh -N -P
	rm -f congress/datalog/CongressLexer.py congress/datalog/CongressParser.py
endif

override_dh_clean:
	dh_clean
	rm -f debian/congress-common.config debian/congress-common.postinst debian/congress-server.config debian/congress-api.postinst
	rm -rf debian/*.upstart debian/*.service
	rm -f congress/datalog/CongressLexer.py congress/datalog/CongressParser.py

override_dh_auto_install:
	echo "Please do nothing."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func congress-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func congress-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func congress-server.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func congress-server.postinst

override_dh_install:
	antlr3 congress/datalog/Congress.g
	sed -i '1 s/#.*/# Generated by antlr3/' congress/datalog/CongressParser.py
	sed -i '1 s/#.*/# Generated by antlr3/' congress/datalog/CongressLexer.py
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/tmp; \
        done
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages/congress/datalog/Python*

	mkdir -p $(CURDIR)/debian/congress-common/usr/share/congress-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-pacakges oslo-config-generator --output-file $(CURDIR)/debian/congress-common/usr/share/congress-common/congress.conf \
		--wrap-width 79 \
		--namespace congress \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace oslo.db \
		--namespace oslo.middleware.cors \
		--namespace oslo.messaging \
		--namespace keystonemiddleware.auth_token
	sed -i 's/[ \t#]*auth_protocol[ \t]*=.*/auth_protocol = http/' $(CURDIR)/debian/congress-common/usr/share/congress-common/congress.conf

	dh_install --fail-missing

	install -D -m 0644 $(CURDIR)/etc/api-paste.ini $(CURDIR)/debian/congress-common/usr/share/congress-common/api-paste.ini
	install -D -m 0644 $(CURDIR)/etc/policy.json $(CURDIR)/debian/congress-common/usr/share/congress-common/policy.json
	cp congress/db/migration/alembic.ini $(CURDIR)/debian/python-congress/usr/lib/python2.7/dist-packages/congress/db/migration/

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/,dversionmangle=s/\+dfsg\d+$//" \
https://github.com/openstack/congress/tags .*/(\d[\d\.]+)\.tar\.gz

## congress 5.0.0~b2+dfsg1

=== debian/changelog ===
congress (5.0.0~b2+dfsg1-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * debian/patches/remove-non-deterministic-tests.patch: Dropped no longer needed.
  * debian/control: Align with upstream dependencies.
  * debian/patches/skip-tests.patch: Skip tests that fail in the buildds.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Jan 2017 11:42:46 -0500

=== debian/control ===
Source: congress
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 52~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     antlr3 (>= 3.5),
                     python-antlr3,
                     python-babel (>= 2.3.4),
                     python-ceilometerclient (>= 2.5.0),
                     python-cinderclient (>= 1.6.0),
                     python-coverage (>= 4.0),
                     python-dateutil (>= 2.4.2),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.5.0),
                     python-hacking (>= 0.10.2),
                     python-heatclient (>= 1.6.1),
                     python-ironicclient (>= 1.6.0),
                     python-keystoneauth1 (>= 2.14.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.2.0),
                     python-mock (>= 2.0),
                     python-mox3 (>= 0.7.0),
                     python-muranoclient (>= 0.8.2),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:2.29.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.11.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslo.vmware (>= 2.15.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pulp (>= 1.4.1),
                     python-requests-mock (>= 1.1),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-swiftclient (>= 1:3.2.0),
                     python-tempest-lib (>= 0.14.0),
                     python-tenacity (>= 3.2.1),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.6.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/congress.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/congress.git
Homepage: http://congress.openstack.org/

Package: python-congress
Section: python
Architecture: all
Depends: alembic (>= 0.8.4),
         antlr3 (>= 3.5),
         python-babel (>= 2.3.4),
         python-ceilometerclient (>= 2.5.0),
         python-cinderclient (>= 1.6.0),
         python-dateutil (>= 2.4.2),
         python-eventlet (>= 0.18.2),
         python-glanceclient (>= 1:2.5.0),
         python-heatclient (>= 1.6.1),
         python-ironicclient (>= 1.6.0),
         python-keystoneauth1 (>= 2.14.0),
         python-keystoneclient (>= 1:3.8.0),
         python-keystonemiddleware (>= 4.2.0),
         python-muranoclient (>= 0.8.2),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.11.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-oslo.vmware (>= 2.15.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pulp (>= 1.4.1),
         python-routes (>= 1.12.3),
         python-six (>= 1.9.0),
         python-swiftclient (>= 1:3.2.0),
         python-tempest-lib (>= 0.14.0),
         python-webob (>= 1.6.0),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Policy as a Service - Python libraries
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains the Python libraries that are part of Cinder.

Package: congress-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-congress (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides},
Description: OpenStack Policy as a Service - common files
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: congress-server
Architecture: all
Depends: adduser,
         congress-common (= ${binary:Version}),
         debconf,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends}
Description: OpenStack Policy as a Service - API server
 Congress is an OpenStack project to provide policy as a service across any
 collection of cloud services in order to offer governance and compliance for
 dynamic infrastructures.
 .
 This package contains the API server on which clients will connect.

## congress 5.0.0~b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=2.3.4 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
PuLP>=1.4.1 # MIT
keystoneauth1>=2.18.0 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pbr>=1.8 # Apache-2.0
aodhclient>=0.7.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-heatclient>=1.6.1 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-novaclient!=7.0.0,>=6.0.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-ceilometerclient>=2.5.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-ironicclient>=1.11.0 # Apache-2.0
alembic>=0.8.10 # MIT
python-dateutil>=2.4.2 # BSD
python-glanceclient>=2.5.0 # Apache-2.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
six>=1.9.0 # MIT
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.vmware>=2.17.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
WebOb>=1.6.0 # MIT

=== debian/changelog ===
congress (5.0.0~b3-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Download the tarball from tarball.openstack.org.
  * New upstream release.
  * debian/control: Align with upstream dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 10:49:25 -0500
